class AlertConfiguration {
  int nutrientId;
  double maxValue;
  double minValue;

  AlertConfiguration({
    required this.nutrientId,
    required this.maxValue,
    required this.minValue,
  });

  Map<String, dynamic> toJson() => {
        'nutrient_id': nutrientId,
        'min_value': minValue,
        'max_value': maxValue,
      };

  factory AlertConfiguration.fromJson(Map<String, dynamic> json) =>
      AlertConfiguration(
        nutrientId: json['nutrient_id'],
        minValue: json['min_value'],
        maxValue: json['max_value'],
      );
}

class AlertDetectResult {
  AlertConfiguration config;
  String name;
  String? unitName;
  double? current;
  double? difference;
  bool isOutOfRange;
  bool isUndetected;

  AlertDetectResult({
    required this.config,
    required this.name,
    required this.unitName,
    required this.current,
    required this.difference,
    required this.isOutOfRange,
    required this.isUndetected,
  });
}
